﻿/*=============================================================================
    MAP
==============================================================================*/

.map-container {
    float: none;
    position: relative;
    width: 100%;    
    height: 60vh;
    min-height:400px;
    z-index: 0;
    margin: 0 auto;
    -ms-touch-action: none;
    touch-action: none;
}

.map-container-home-page {
    margin-top: 10px;
    height: 700px;
}

/*md*/
@media (max-width: 1199px) {
    .map-container-home-page {
        height: 570px;
    }   
}

/*sm*/
@media (max-width: 991px) {
    .map-container-home-page {
        height: 580px;
    }
}

@media (max-width: 767px) {
    .map-container-home-page {
        margin-top: 0px;
        height: 400px;
    } 
}

#tabMap .map-container {
    height: 600px;
}

#updAdminShootMap .map-container {
    height: 590px;
}

.map-container.fullscreen {
    float: none;
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 0;
    margin: 0 auto;
    -ms-touch-action: none;
    touch-action: none;
}

.custom-map-container {
    float:none;
    position: relative;
    z-index: 0;
    margin: 0 auto;
    width: 100%;
    height: 100%;
    -ms-touch-action: none;
    touch-action: none;
}

.custom-map-container.landscape
{
    width:100%;
    padding-bottom:60%;
}

.custom-map-container.portrait
{
    width:60%;
    padding-bottom:77%;
}

#map, .map {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

#customMapForm, #customMapBuffer {
    z-index: 1100;
    position: absolute;
    display: none;
    background-color: white;
    right: 0;
    top: 0;
    height: 100%;
    min-width: 30%;
}

#layerSelector {
    z-index: 1100;
    position: absolute;
    display: none;
    background-color: white;
    right: 0;
    top: 0;
    height:100%;
    overflow: auto;
    max-width:300px;
}

#mapLoader {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    z-index: 9999;
}
.ball-spin-fade-loader > div {
    background-color: #078463;
}


#btnToolHelp {
    position: absolute;
    top: 5px;
    right: 5px;
    z-index: 9999;
    margin-left: 5px;
}
/*
    thanks Hefin
*/
@media (max-width: 767px) {
    #layerSelector {
        width: 100%;
    }
}

.fullscreen
{
    background-color: white;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10000;
 }

/* OpenLayers overrides*/

/* no pink tiles */
.olTileImage.olImageLoadError {
    display: none !important;
}

.olPopup {
    border-radius: 4px;
}

/*fix for ugly padding in ol popup*/
.olPopupContent {
    padding: 5px 0 0 5px;
}

/* Custom map popup style buttons*/
.btn-img {
    border-width: 1px;
    border-color: #DDDDDD;
    background-color: #F2F2F2;
    color: white;
    border-radius: 0;
}

.map-visit-error-message {
    display: none;
    position: absolute;
    left: 10px;
    bottom: 10px;
    z-index: 999;
    white-space: nowrap;
}

/* override loaders styles */
.line-scale > div {
    background-color: rgb(7,132,99);
    height:20px;
    margin:0px 0px;
}

@media (min-width: 768px) {
    #speciesSearchFiltersPanel {
        height: 642px;
    }
    #adminShootMapFiltersPanel {
        height: 590px;
    }
}

h5 {
    font-weight:bold;
    margin-top:5px;
    margin-bottom:2px;
}

#mapTooltip {
    position: absolute;
    height: 1px;
    width: 1px;
    z-index: 100;
}

